const redis = require("redis");
let client = redis.createClient({url: 'redis://default:p@admin.fcfglobal.co:7001'});


async function init() {

    client.on('error', (err) => console.log('Redis Client Error', err));
    await client.connect();


}


async function getAllKeysByUUID(uuid) {
    let prefix = uuid + '_*'
    const [keys] = await client
        .multi()
        .keys(prefix)
        .exec();
    return keys
}

async function addIp(uuid, ip) {
    let key = uuid + '_' + ip
    let ttl = 5 * 60

    return await client.multi()
        .incr(key)
        .expire(key, ttl)
        .exec();
}

// test()
//
// async function test() {
//     let uuid='1137dd67-45b3-4e8b-b1f5-5bec9caefad1'
//     let ip='192.168.1.1'
//     await init()
//     let d = await getAllKeysByUUID(uuid)
//     console.log(d)
//     // addIp(uuid,ip)
//
// }


module.exports =
    {
        getAllKeysByUUID: getAllKeysByUUID,
        addIp:addIp,
        init:init


    }